Installation RBS Change : Disparition inquiétante

  • 82903.1

    20/02/2014 22:52


    EITC
    Rang : Membre
    Bonjour,

    J'ai configuré un RBS Change (dernière version) afin de commencer l'encodage des produits. Certains trucs ne fonctionnent pas encore mais depuis la mi janvier, l'encodage de mes produits est fonctionnel.

    Depuis plus aucun changement dans mes fichiers, juste de l'encodage...

    Et il y a quelques jours, plus de soucis, il me manque des champs, des images, des onglets... Impossible a expliquer tellement c'est bizarre, je vais donc mettre des printscreens





    J'ai tenté de tout recompiler et vider le cache, mais rien n'y fait

    Avez-vous une idée de ce que cela peut être ?

    Merci d'avance

    Édité par EITC 20/02/2014 22:53

  • 82903.2 en réponse à 82903.1 écrit par EITC

    21/02/2014 08:55


    Gaël Port
    Titre : Développeur RBS Change
    Rang : Expert
    Bonjour,

    Cela ressemble au problème relevé par Mathias ici : http://www.rbschange.....n-php-5-5-82679.html

    Avez-vous effectué des mises à jour du serveur qui coïncideraient avec l'apparition du problème ? (notamment concernant PHP)
  • 82903.3 en réponse à 82903.2 écrit par Gaël Port

    23/02/2014 11:23


    EITC
    Rang : Membre
    Bonjour,

    Non pas a ma connaissance, mais c'est un serveur mutualisé (OVH), donc je n'ai pas la main mise là dessus.

    Après investigation, le serveur a effectivement été mis à jour le 5 février à 13h, date à laquelle le problème a commencé. (http://online-carrelage.com/Divers/phpinfo.php)

    J'ai lu l'entièreté du poste cité, y aurait-il une solution trouvée entre temps ?

    Merci encore
  • 82903.4 en réponse à 82903.3 écrit par EITC

    26/02/2014 19:49


    EITC
    Rang : Membre
    SVP, je suis vraiment bloqué et je ne sais vraiment pas quoi faire...
  • 82903.5 en réponse à 82903.4 écrit par EITC

    27/02/2014 10:48


    guiom
    Rang : Expert
    Bonjour,

    A priori cela vient bien de PHP 5.4 comme indiqué dans le message de Gaël.
    Je vous suggère de regarder du coté de la documentation d'OVH pour basculer votre version de PHP en 5.3.
    Voici le lien à consulter : http://www.ovh.com/fr/g1207.configurer-php-web
  • 82903.6

    27/02/2014 11:21


    Gaël Port
    Titre : Développeur RBS Change
    Rang : Expert
    Oui, des problèmes ont été constatés sur des version 5.4 et 5.5, sans que cela soit systématique (par exemple mes sites perso tournent sur du 5.5 sans problème). Mais nous n'avons pour l'instant pas identifié les circonstances qui font que le problème apparait (versions spécifiques ? configuration particulière ? présence d'une extension ? mode d'exécution (mod PHP / fast CGI / etc) ?).

    Du coup en attendant une correction, le mieux est effectivement, comme le suggère guiom, de forcer l'exécution en 5.3.

    Édité par Gaël Port 27/02/2014 11:21

  • 82903.7 en réponse à 82903.6 écrit par Gaël Port

    27/02/2014 20:56


    EITC
    Rang : Membre
    Bonjour et merci à tous les deux pour ces informations.

    J'ai essayé de suivre le tuto de OVH, ca marche nikel !!!

    Pour information, j'étais en version 5.4.24 et ca ne fonctionnait pas. J'ai changé la version de php dans le fichier .ovhconfig en 5.3 et il est repassé en 5.3.28. Peut être que la version 5.5 fonctionne et pas la 5.4 ???

    Je n'utilise pas de configuration particulière puisque se sont des pages d'administration qui ne fonctionnaient plus, je n'ai pas non plus d’extensions installées, par contre je ne connais pas mon mode d’exécution, si vous me dites comme y accéder, je vous aiderez avec plaisir.
  • 82903.8 en réponse à 82903.7 écrit par EITC

    28/02/2014 11:12


    Gaël Port
    Titre : Développeur RBS Change
    Rang : Expert
    EITC a dit :
    J'ai essayé de suivre le tuto de OVH, ca marche nikel !!!
    Parfait :)

    EITC a dit :
    Pour information, j'étais en version 5.4.24 et ca ne fonctionnait pas. J'ai changé la version de php dans le fichier .ovhconfig en 5.3 et il est repassé en 5.3.28. Peut être que la version 5.5 fonctionne et pas la 5.4 ???
    Ce n'est malheureusement pas aussi simple que ça parce que nous avons eu des remontées sur ce problème sur des 5.5 avant 5.4...

    EITC a dit :
    Je n'utilise pas de configuration particulière puisque se sont des pages d'administration qui ne fonctionnaient plus, je n'ai pas non plus d’extensions installées, par contre je ne connais pas mon mode d’exécution, si vous me dites comme y accéder, je vous aiderez avec plaisir.
    De mémoire l'information se retrouve dans le PHPInfo mais je ne sais plus précisément où. Je crois que dans le votre c'était du FPM (ce qui coïnciderait avec ce qui est remonté ici...).

    Édité par Gaël Port 28/02/2014 11:13

  • 82903.9

    03/03/2014 09:26


    steve.d
    Rang : Nouveau Membre
    Bonjour,

    D'après mes tests, cela fonctionne sur php 5.4.23. Le problème serait donc apparu avec la version 5.4.24 (et donc la 5.5.8, qui applique les mêmes changements).

    Je partirais sur un changement au niveau de la librairie xml.
  • 82903.10

    04/04/2014 11:55


    seb
    Rang : Expert
    Bonjour,
    OVH a mis en place sur ses hébergements ce dernier mois un système d'optimisation php nommé PHP-FPM (http://www.ovh.com/fr/g1175.optimisation-php-fpm).
    --> RBS Change ne fonctionne pas correctement lorsque cette option est activée sur le serveur, plusieurs onglets et plusieurs champs n'apparaissent plus. (le même souci que sur les caps ci dessus)

    Une fois l'option PHP-FPM désactivée, cela semble rentrer dans l'ordre. (à voir dans le fichier .ovhconfig)

    Édité par seb 04/04/2014 11:55

  • 82903.11 en réponse à 82903.9 écrit par steve.d

    07/04/2014 10:49


    guiom
    Rang : Expert
    Je penses que ce sujet est fortement lié au sujet Backoffice non opérationnel en php 5.5.
    Je n'ai pas d'hébergement OVH, il faudrait vérifier quel est la version de libxslt lorsque le module PHP-FPM est activé.
  • 82903.12 en réponse à 82903.11 écrit par guiom

    06/11/2014 09:58


    salt
    Rang : Nouveau Membre
    Bonjour,

    Nous avons rencontré le problème en passant de la version
    PHP 5.4.4-14+deb7u14 (cli) (built: Aug 21 2014 08:36:44)
    à
    PHP 5.4.34-0+deb7u1 (cli) (built: Oct 20 2014 08:50:30)

    Ce patch est inclus dans le dernier update de sécurité debian : https://www.debian.org/security/2014/dsa-3064

    Serait-il possible de corriger ou proposer un correctif pour ce problème?

    Merci.


  • 82903.13 en réponse à 82903.12 écrit par salt

    06/11/2014 10:00


    salt
    Rang : Nouveau Membre
    Petite précision, la version actuelle de nos rbs concernés est la 3.6.7
 
Merci de prendre connaissance et de respecter les règles des forums.
 
1425 membres
Aucun membre connecté